Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "4eec27e7-02e5-4640-b0b7-40ff6f2dd424",
  "jobs_id": "7a68986a-d181-4498-97fb-3f1d06f2f43f",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "67babc55-b5f9-4aa7-a421-7cec5ff9d4f2",
    "_parent_id": "bd63a48a-8535-4969-b77f-e2a44cd2f44c",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "cc10cfc8-9a98-4db5-a282-270d70160d25",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "5b1fd889-4d38-4779-a263-2dcb363bbe8b",
      "_parent_id": "14906e42-b58d-407d-9164-c19d6b3e0ba5",
      "root_parent_id": "48c456c8-5768-4f6c-9d0a-5f1c2b353f58",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "7d5c7187-80b4-47ee-bbf6-954e341f40c0",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "7149979b-0352-490b-a291-f85d9fe0b74e",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "af6ada3a-643f-4889-bd0f-e3a19e79688e",
        "_parent_code": "sample string 6",
        "sales_organization_id": "3cd49efe-4f2a-4865-ba3e-cae268abd363",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "6025d961-165e-432b-92cc-aecc3abedf65",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "a9d8f985-3cfd-4363-81d0-81286f814ec5",
          "db_currency_id": "c089e91d-8681-4286-ae74-53f805acb8ff",
          "db_language_id": "3cab5502-c290-427b-850f-f5980e17dcaa",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
        },
        "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
      },
      "equipment_model_id": "e3cf1d06-b9bd-4452-baa4-26df0391208a",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "5fedf2af-e3ea-415f-95be-f0b95500d141",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "02b590c2-21c9-4f6b-bbe1-55ffec530eb5",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "e49452f8-7549-4cf2-999a-1aa4b652a12f",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "9d0cb0bf-aabc-412e-b86b-cdf97777a813",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "6025d961-165e-432b-92cc-aecc3abedf65",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "a9d8f985-3cfd-4363-81d0-81286f814ec5",
            "db_currency_id": "c089e91d-8681-4286-ae74-53f805acb8ff",
            "db_language_id": "3cab5502-c290-427b-850f-f5980e17dcaa",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
          },
          "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
        },
        "equipment_family_id": "d014cab8-a548-4654-8ed0-e91107d06868",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "7149979b-0352-490b-a291-f85d9fe0b74e",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "af6ada3a-643f-4889-bd0f-e3a19e79688e",
          "_parent_code": "sample string 6",
          "sales_organization_id": "3cd49efe-4f2a-4865-ba3e-cae268abd363",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "6025d961-165e-432b-92cc-aecc3abedf65",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "a9d8f985-3cfd-4363-81d0-81286f814ec5",
            "db_currency_id": "c089e91d-8681-4286-ae74-53f805acb8ff",
            "db_language_id": "3cab5502-c290-427b-850f-f5980e17dcaa",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
          },
          "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
        },
        "date_in_production_since": "2026-10-16T14:29:43.244372+00:00",
        "date_out_of_production_since": "2026-10-16T14:29:43.244372+00:00",
        "date_end_support": "2026-10-16T14:29:43.244372+00:00",
        "sales_organization_id": "d0d804d6-6b92-4a92-ae1b-049b5fb4a374",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "6025d961-165e-432b-92cc-aecc3abedf65",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "a9d8f985-3cfd-4363-81d0-81286f814ec5",
          "db_currency_id": "c089e91d-8681-4286-ae74-53f805acb8ff",
          "db_language_id": "3cab5502-c290-427b-850f-f5980e17dcaa",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-16T14:29:43.2577593+00:00"
      },
      "project_status_id": "20be8c49-f506-4014-b6da-9a368a5bd7dd",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "a895e229-1274-4b30-b85c-ca4381f6d0a0",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "afe17a02-0efc-481d-9611-53453d62f8d2",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "6025d961-165e-432b-92cc-aecc3abedf65",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "a9d8f985-3cfd-4363-81d0-81286f814ec5",
          "db_currency_id": "c089e91d-8681-4286-ae74-53f805acb8ff",
          "db_language_id": "3cab5502-c290-427b-850f-f5980e17dcaa",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-16T14:29:43.2577593+00:00"
      },
      "company_id": "0361e007-d8ad-4f3f-8259-fcf35cb5bbdf",
      "company_code": "sample string 12",
      "db_address_id": "c5163600-5e57-4fd9-8331-364f6a176a88",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "313e624e-9a40-4d55-88be-62dfb8cc51f3",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "38719564-d117-4708-8235-0fb550001adc",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-16T14:29:43.2577593+00:00",
      "date_create": "2026-10-16T14:29:43.2577593+00:00",
      "date_update": "2026-10-16T14:29:43.2577593+00:00",
      "updated_by_user_id": "7c77ea83-6fbc-48fa-a436-9880e20d9c05",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-16T14:29:43.2577593+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-16T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-16T14:29:43.2577593+00:00",
      "date_last_job": "2026-10-16T14:29:43.2577593+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-16T14:29:43.2577593+00:00",
      "modified_dateutc": "2026-10-16T14:29:43.2577593+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "39ea8ec5-adc6-46d2-8997-b811972ee4a7",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "400ffc34-3b59-4917-b34e-6b413b676246",
      "name": "sample string 2",
      "sales_organization_id": "ed1a7277-9352-43fc-abbb-114f1bfebe43",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-16T14:29:43.2577593+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "553d764f-45cc-4963-8bf9-072837ff5362",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "44ede9a8-8ae9-4a0d-b156-281616a9b84d",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "282780a5-a4c5-4520-8835-275eb907d7d1",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "6025d961-165e-432b-92cc-aecc3abedf65",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "a9d8f985-3cfd-4363-81d0-81286f814ec5",
        "db_currency_id": "c089e91d-8681-4286-ae74-53f805acb8ff",
        "db_language_id": "3cab5502-c290-427b-850f-f5980e17dcaa",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-16T14:29:43.2577593+00:00"
    },
    "job_status_id": "e872bdb5-b6b3-4f3c-8ecd-fa46dc50ed64",
    "job_status_code": "sample string 11",
    "db_address_id": "9c38a21d-dd8e-45aa-917d-7eb836664bb0",
    "contact_id": "08808df5-5f47-48cc-b54a-ae644fefdc8c",
    "requested_by_company_id": "a8513543-7c9b-4be4-aa2e-9edac0c989bb",
    "requested_by_contact_id": "49526bae-acfb-4172-ab67-764b9ce38365",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-16T14:29:43.2577593+00:00",
    "due_date": "2026-10-16T14:29:43.2577593+00:00",
    "date_create": "2026-10-16T14:29:43.2577593+00:00",
    "date_update": "2026-10-16T14:29:43.2577593+00:00",
    "date_closed": "2026-10-16T14:29:43.2577593+00:00",
    "suggested_user_id": "3bd79929-3e14-446e-9d69-d55dd6ced9e4",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "7e639e80-31ca-4147-a039-4bf5c621c9a7",
      "db_language_id": "706b241a-8eba-4f5f-a334-f486d036be90",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-16T14:29:43.2577593+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "74fa9b24-4e6e-4af7-9286-1f5e5b4e6cd9",
      "sales_organization": {
        "id": "6025d961-165e-432b-92cc-aecc3abedf65",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "a9d8f985-3cfd-4363-81d0-81286f814ec5",
        "db_currency_id": "c089e91d-8681-4286-ae74-53f805acb8ff",
        "db_language_id": "3cab5502-c290-427b-850f-f5980e17dcaa",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "4404ac1e-748f-4847-8391-4990168f5145",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "9a1d51ac-dab1-4eba-a546-cb87dc98d862",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-16T14:29:43.2577593+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "5bf61690-10a0-4ed9-8beb-b278edd2d12b"
    },
    "suggested_date_start": "2026-10-16T14:29:43.2577593+00:00",
    "skill_id": "c62cbb08-0724-4cd9-8d38-7679242a0176",
    "skill_code": "sample string 32",
    "skill": {
      "id": "19178174-86c2-4129-ae96-d2ee5c1ff639",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "045805ec-03a1-4251-b132-a471e4b671cc",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "6025d961-165e-432b-92cc-aecc3abedf65",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "a9d8f985-3cfd-4363-81d0-81286f814ec5",
        "db_currency_id": "c089e91d-8681-4286-ae74-53f805acb8ff",
        "db_language_id": "3cab5502-c290-427b-850f-f5980e17dcaa",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-16T14:29:43.244372+00:00"
      },
      "modified_dateutc": "2026-10-16T14:29:43.2743462+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "d113a9ed-6128-42f4-8193-196df95c8a76",
    "date_reported_by_company": "2026-10-16T14:29:43.2743462+00:00",
    "id2": 36,
    "company_id": "1b02f0c4-60ef-43d2-8861-e87b5b4b463a",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "d10e636d-8519-45be-b198-70aac81c6250",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-16T14:29:43.2743462+00:00"
  },
  "work_instruction_details_id": "686e4fcb-c3f2-4ebe-a3bb-1ba7fd520e0e",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "4745501b-a5f9-499e-aa40-27496c264479",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "393b7c57-2fb5-4000-b9b7-2c57a9f97823",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-16T14:29:43.2743462+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "09892edd-0e5b-49ce-8454-890e2c6df1b7",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-16T14:29:43.2743462+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.